package cn.reghao.oss.api.iface.media;

import cn.reghao.oss.api.dto.media.ImageUrlDto;

import java.util.List;
import java.util.Set;

/**
 * @author reghao
 * @date 2023-08-28 15:47:43
 */
public interface ImageFileService {
    void deleteByObjectNames(List<String> objectNames);
    void deleteByImageFileIds(List<String> imageFileIds);
    ImageUrlDto getImageUrl(int channelId, String imageFileId);
    List<ImageUrlDto> getImageUrls(Set<String> imageFileIds);
    String getSignedUrl(String url);
}
